<?php

namespace App\ViewModels\Usuario\UsuarioUpdateViewModel;

use App\Utils\Entity;

class UsuarioUpdateViewModel extends Entity
{
    protected $nome;
    protected $telefone_1;
    protected $telefone_2;
    protected $cpf;
    protected $rg;
    protected $data_nascimento;
    protected $genero;
    protected $cep;
    protected $numero;
    protected $complemento;
    protected $referencias;
    protected $foto;
    protected $tipo;


    public static function builder(): UsuarioUpdateViewModelBuilder
    {
        return new UsuarioUpdateViewModelBuilder();
    }

    /**
     * @return string
     */
    public function getNome(): ?string
    {
        return $this->nome;
    }

    /**
     * @param string|null $nome
     */
    public function setNome(?string $nome): void
    {
        $this->nome = $nome;
    }

    /**
     * @return string
     */
    public function getTelefone1(): ?string
    {
        return $this->telefone_1;
    }

    /**
     * @param string|null $telefone_1
     */
    public function setTelefone1(?string $telefone_1): void
    {
        $this->telefone_1 = $telefone_1;
    }

    /**
     * @return string
     */
    public function getTelefone2(): ?string
    {
        return $this->telefone_2;
    }

    /**
     * @param string|null $telefone_2
     */
    public function setTelefone2(?string $telefone_2): void
    {
        $this->telefone_2 = $telefone_2;
    }

    /**
     * @return string
     */
    public function getCpf(): ?string
    {
        return $this->cpf;
    }

    /**
     * @param string|null $cpf
     */
    public function setCpf(?string $cpf): void
    {
        $this->cpf = $cpf;
    }

    /**
     * @return string
     */
    public function getRg(): ?string
    {
        return $this->rg;
    }

    /**
     * @param string|null $rg
     */
    public function setRg(?string $rg): void
    {
        $this->rg = $rg;
    }

    /**
     * @return string
     */
    public function getDataNascimento(): ?string
    {
        return $this->data_nascimento;
    }

    /**
     * @param string|null $data_nascimento
     */
    public function setDataNascimento(?string $data_nascimento): void
    {
        $this->data_nascimento = $data_nascimento;
    }

    /**
     * @return string
     */
    public function getGenero(): ?string
    {
        return $this->genero;
    }

    /**
     * @param string|null $genero
     */
    public function setGenero(?string $genero): void
    {
        $this->genero = $genero;
    }

    /**
     * @return string
     */
    public function getCep(): ?string
    {
        return $this->cep;
    }

    /**
     * @param string|null $cep
     */
    public function setCep(?string $cep): void
    {
        $this->cep = $cep;
    }

    /**
     * @return string
     */
    public function getNumero(): ?string
    {
        return $this->numero;
    }

    /**
     * @param string|null $numero
     */
    public function setNumero(?string $numero): void
    {
        $this->numero = $numero;
    }

    /**
     * @return string
     */
    public function getComplemento(): ?string
    {
        return $this->complemento;
    }

    /**
     * @param string|null $complemento
     */
    public function setComplemento(?string $complemento): void
    {
        $this->complemento = $complemento;
    }

    /**
     * @return string
     */
    public function getReferencia(): ?string
    {
        return $this->referencias;
    }

    /**
     * @param string|null $referencia
     */
    public function setReferencia(?string $referencia): void
    {
        $this->referencias = $referencia;
    }

    /**
     * @return mixed
     */
    public function getFoto()
    {
        return $this->foto;
    }

    /**
     * @param mixed $foto
     */
    public function setFoto($foto): void
    {
        $this->foto = $foto;
    }

    /**
     * @return mixed
     */
    public function getTipo()
    {
        return $this->tipo;
    }

    /**
     * @param mixed $tipo
     */
    public function setTipo($tipo): void
    {
        $this->tipo = $tipo;
    }



}